+ Reply to Thread
Page 1 of 8 1 2 3 ... LastLast
Results 1 to 10 of 79
  1. #1
    Super Member
    Computer Details
    woodman78's Computer Details
    Operating System:
    Win XP
    Computer:
    Dell GX280
    Discipline
    Transport
    woodman78's Discipline Details
    Occupation
    Road Design Engineer
    Discipline
    Transport
    Details
    I work in a local authority design office with a staff of 13. We carry out road schemes ranging from overlays up to 2 km long new schemes.
    Using
    Civil 3D 2011
    Join Date
    Jul 2009
    Location
    Ireland
    Posts
    689

    Default Lisp for Revision Box - Need help

    Registered forum members do not see this ad.

    Hi all. Hope everyone is good this Wednesday afternoon.

    I am hoping someone can help with me with a lisp I copied and modified from the Afralisp site to allow the revision box on our titleblock to be filled in and altered. Until now I had it setup as a dynamic block with attributes and visibility states to control the number of lines shown.

    I have a few issues with this I am trying to get over.
    rev-box.dwg

    Firstly, the dialog box:
    Revision Box 01.png
    Lines 1 - 8 contain text inline. I want to remove that and move it to the top of each column as I have shown but I can't get the text to line up. I removed the text from line 9 but now it seems alot more spaced out.

    The revision box looks like this.
    Revision Box.jpg
    I am wondering how to control the number of lines to be shown. I was thinking of using a layer for each line and control it that way but I was wondering if it can be detected what line is empty and display to the line before it. So an automatic way of controlling the lines.

    Another problem is that the code contains the block name. When I put the name of the block into the code it won't detect it but if I use the reference like *U55 then it will but that is a temporary name that changes so I get caught out. Anyone able to help with this?

    The last thing is the first column on the dialog box. I want to be able to control whether the changes are applied to the current layout only or to all layouts so in other words only the blocks on the current tab on to all the blocks within the drawing. How do I go about this?

    I will include the code in the following posts. I would appreciate help with this. Thanks.
    Last edited by woodman78; 25th Apr 2012 at 05:04 pm. Reason: Block naming issue

  2. #2
    Super Member
    Computer Details
    woodman78's Computer Details
    Operating System:
    Win XP
    Computer:
    Dell GX280
    Discipline
    Transport
    woodman78's Discipline Details
    Occupation
    Road Design Engineer
    Discipline
    Transport
    Details
    I work in a local authority design office with a staff of 13. We carry out road schemes ranging from overlays up to 2 km long new schemes.
    Using
    Civil 3D 2011
    Join Date
    Jul 2009
    Location
    Ireland
    Posts
    689

    Default

    Code:
    attab : dialog {
            label = "Drawing Title Block";
    : boxed_radio_column { 
    label = "Application" ;				//give it a label
    	: row  {
    		 : radio_button {			//define radion button
         	  	key = "rb1" ;			//give it a name
         	  	label = "Apply to Current Layout ONLY" ;	//give it a label
         	 	value = "1" ;			//switch it on
           		 }
    		 : radio_button {			//define radion button
         	  	key = "rb2" ;			//give it a name
         	  	label = "Apply to All Layouts" ;	//give it a label
           		 }		
    	}
    }
    : boxed_column {      
    label = "Revision Data" ;				//give it a label
    	: row {
     		: text {label = "Rev";}
    		: text {label = "By";}
    		: text {label = "Date";}
    		: text {label = "Description";}
    	}
    	: row  {
    		: edit_box { label = "9.";         key = "L1-Rev";  edit_limit = 2;  edit_width = 2;  }
            		: edit_box { key = "L1-By" ;  edit_limit = 3;  edit_width = 3;  }
            		: edit_box { key = "L1-Date"; edit_limit = 10; edit_width = 9;  }
            		: edit_box { key = "L1-Description";  edit_limit = 55; edit_width = 58; }
    	}
    	: row  {
           		: edit_box { label = "8.";         key = "L2-Rev";  edit_limit = 2;  edit_width = 2;  }
            		: edit_box { label = "By" ;         key = "L2-By" ;  edit_limit = 3;  edit_width = 3;  }
            		: edit_box { label = "Date";        key = "L2-Date"; edit_limit = 10; edit_width = 9;  }
            		: edit_box { label = "Description"; key = "L2-Description";  edit_limit = 55; edit_width = 58; }
          	 }
           	: row  {
             		: edit_box { label = "7.";         key = "L3-Rev";  edit_limit = 2;  edit_width = 2;  }
             		: edit_box { label = "By" ;         key = "L3-By" ;  edit_limit = 3;  edit_width = 3;  }
             		: edit_box { label = "Date";        key = "L3-Date"; edit_limit = 10; edit_width = 9;  }
             		: edit_box { label = "Description"; key = "L3-Description";  edit_limit = 55; edit_width = 58; }
           	}
           	: row  {
             		: edit_box { label = "6.";         key = "L4-Rev";  edit_limit = 2;  edit_width = 2;  }
             		: edit_box { label = "By" ;         key = "L4-By" ;  edit_limit = 3;  edit_width = 3;  }
             		: edit_box { label = "Date";        key = "L4-Date"; edit_limit = 10; edit_width = 9;  }
             		: edit_box { label = "Description"; key = "L4-Description";  edit_limit = 55; edit_width = 58; }
           	}
           	: row  {
             		: edit_box { label = "5.";         key = "L5-Rev";  edit_limit = 2;  edit_width = 2;  }
            		: edit_box { label = "By" ;         key = "L5-By" ;  edit_limit = 3;  edit_width = 3;  }
             		: edit_box { label = "Date";        key = "L5-Date"; edit_limit = 10; edit_width = 9;  }
             		: edit_box { label = "Description"; key = "L5-Description";  edit_limit = 55; edit_width = 58; }
          	 }
           	: row  {
             		: edit_box { label = "4.";         key = "L6-Rev";  edit_limit = 2;  edit_width = 2;  }
             		: edit_box { label = "By" ;         key = "L6-By" ;  edit_limit = 3;  edit_width = 3;  }
             		: edit_box { label = "Date";        key = "L6-Date"; edit_limit = 10; edit_width = 9;  }
             		: edit_box { label = "Description"; key = "L6-Description";  edit_limit = 55; edit_width = 58; }
          	 }
           	: row  {
             		: edit_box { label = "3.";         key = "L7-Rev";  edit_limit = 2;  edit_width = 2;  }
             		: edit_box { label = "By" ;         key = "L7-By" ;  edit_limit = 3;  edit_width = 3;  }
             		: edit_box { label = "Date";        key = "L7-Date"; edit_limit = 10; edit_width = 9;  }
             		: edit_box { label = "Description"; key = "L7-Description";  edit_limit = 55; edit_width = 58; }
           	}
           	: row  {
             		: edit_box { label = "2.";         key = "L8-Rev";  edit_limit = 2;  edit_width = 2;  }
             		: edit_box { label = "By" ;         key = "L8-By" ;  edit_limit = 3;  edit_width = 3;  }
             		: edit_box { label = "Date";        key = "L8-Date"; edit_limit = 10; edit_width = 9;  }
             		: edit_box { label = "Description"; key = "L8-Description";  edit_limit = 55; edit_width = 58; }
           	}
           	: row  {
             		: edit_box { label = "1.";         key = "L9-Rev";  edit_limit = 2;  edit_width = 2;  }
            		: edit_box { label = "By" ;         key = "L9-By" ;  edit_limit = 3;  edit_width = 3;  }
             		: edit_box { label = "Date";        key = "L9-Date"; edit_limit = 10; edit_width = 9;  }
             		: edit_box { label = "Description"; key = "L9-Description";  edit_limit = 55; edit_width = 58; }
          	}
    	}
                  : row  {
    		ok_cancel ;				//predifined OK/Cancel
         	}
      	}

  3. #3
    Super Member Lt Dan's legs's Avatar
    Using
    AutoCAD 2007
    Join Date
    May 2010
    Location
    Florida
    Posts
    574

    Default

    Add an additional button "Next" that jumps to a identical dialog box with the numbering starting at 10... Just a thought

  4. #4
    Super Member
    Computer Details
    woodman78's Computer Details
    Operating System:
    Win XP
    Computer:
    Dell GX280
    Discipline
    Transport
    woodman78's Discipline Details
    Occupation
    Road Design Engineer
    Discipline
    Transport
    Details
    I work in a local authority design office with a staff of 13. We carry out road schemes ranging from overlays up to 2 km long new schemes.
    Using
    Civil 3D 2011
    Join Date
    Jul 2009
    Location
    Ireland
    Posts
    689

    Default

    Code:
    ;CODING STARTS HERE
    (prompt "\nATTAB Loaded....Type ATTAB to run.....")
    (defun c:attab (/)
    (setq ss1 (ssget "X" '((0 . "INSERT")(66 . 1))))
      (if ss1
        (progn
          (setq count 0
    	    emax  (sslength ss1)
          )
          (while (< count emax)
    	(setq en   (ssname ss1 count)
    	      ed   (entget en)
    	      blkn (dxf 2 ed)
    	)
    	(if (= "*U54" blkn)
    	  (setq	count emax
    		found T
    	  )
      	(setq count (1+ count))
    	);if
          );while
          (if found
    	(ddisplay)
    
    	;cannot find our block
    	(alert
    	  "\nDrawing Sheet has No Attributes
                \n     Use Manual Edit"
    	)
          );if
        );progn
        (alert
          "\nIncorrect Drawing Sheet
          \n    Use Manual Edit"
        )
      );if
    (princ)
    );defun
    
    ;;;**********************************************************
    
    (defun ddisplay (/)
      	(setq dcl_id (load_dialog "attab.dcl"))
      	(if (not (new_dialog "attab" dcl_id))
        	(exit)
      	);if
    	(setq edata (entget en))
            ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L1-Rev (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L1-By (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L1-Date (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L1-Description (dxf 1 edata))
            ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L2-Rev (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L2-By (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L2-Date (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L2-Description (dxf 1 edata))
            ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L3-Rev (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
      	  (setq L3-By (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L3-Date (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L3-Description (dxf 1 edata))
            ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L4-Rev (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L4-By (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L4-Date (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L4-Description (dxf 1 edata))
            ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L5-Rev (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L5-By (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L5-Date (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L5-Description (dxf 1 edata))
            ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	 (setq L6-Rev (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L6-By (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L6-Date (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L6-Description (dxf 1 edata))
            ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L7-Rev (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L7-By (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L7-Date (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L7-Description (dxf 1 edata))
            ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L8-Rev (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L8-By (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L8-Date (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L8-Description (dxf 1 edata))
            ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L9-Rev (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L9-By (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L9-Date (dxf 1 edata))
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq L9-Description (dxf 1 edata))
            ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
      (set_tile "L1-Rev" L1-Rev)
      (set_tile "L1-By" L1-By)
      (set_tile "L1-Date" L1-Date)
      (set_tile "L1-Description" L1-Description)
      (set_tile "L2-Rev" L2-Rev)
      (set_tile "L2-By" L2-By)
      (set_tile "L2-Date" L2-Date)
      (set_tile "L2-Description" L2-Description)
      (set_tile "L3-Rev" L3-Rev)
      (set_tile "L3-By" L3-By)
      (set_tile "L3-Date" L3-Date)
      (set_tile "L3-Description" L3-Description)
      (set_tile "L4-Rev" L4-Rev)
      (set_tile "L4-By" L4-By)
      (set_tile "L4-Date" L4-Date)
      (set_tile "L4-Description" L4-Description)
      (set_tile "L5-Rev" L5-Rev)
      (set_tile "L5-By" L5-By)
      (set_tile "L5-Date" L5-Date)
      (set_tile "L5-Description" L5-Description)
      (set_tile "L6-Rev" L6-Rev)
      (set_tile "L6-By" L6-By)
      (set_tile "L6-Date" L6-Date)
      (set_tile "L6-Description" L6-Description)
      (set_tile "L7-Rev" L7-Rev)
      (set_tile "L7-By" L7-By)
      (set_tile "L7-Date" L7-Date)
      (set_tile "L7-Description" L7-Description)
      (set_tile "L8-Rev" L8-Rev)
      (set_tile "L8-By" L8-By)
      (set_tile "L8-Date" L8-Date)
      (set_tile "L8-Description" L8-Description)
      (set_tile "L9-Rev" L9-Rev)
      (set_tile "L9-By" L9-By)
      (set_tile "L9-Date" L9-Date)
      (set_tile "L9-Description" L9-Description)
    
      (mode_tile "L1-Rev" 2)
    
    
      (action_tile
        "cancel"
        "(done_dialog) (setq userclick nil)"
      )
    
      ;if OK selected, retrieve the tile values
      (action_tile
        "accept"
        (strcat
          "(progn (setq L1-Reva (get_tile \"L1-Rev\"))"
          "(setq L1-Bya (get_tile \"L1-By\"))"
          "(setq L1-Datea (get_tile \"L1-Date\"))"
          "(setq L1-Descriptiona (get_tile \"L1-Description\"))"
          "(setq L2-Reva (get_tile \"L2-Rev\"))"
          "(setq L2-Bya (get_tile \"L2-By\"))"
          "(setq L2-Datea (get_tile \"L2-Date\"))"
          "(setq L2-Descriptiona (get_tile \"L2-Description\"))"
          "(setq L3-Reva (get_tile \"L3-Rev\"))"
          "(setq L3-Bya (get_tile \"L3-By\"))"
          "(setq L3-Datea (get_tile \"L3-Date\"))"
          "(setq L3-Descriptiona (get_tile \"L3-Description\"))"
          "(setq L4-Reva (get_tile \"L4-Rev\"))"
          "(setq L4-Bya (get_tile \"L4-By\"))"
          "(setq L4-Datea (get_tile \"L4-Date\"))"
          "(setq L4-Descriptiona (get_tile \"L4-Description\"))"
          "(setq L5-Reva (get_tile \"L5-Rev\"))"
          "(setq L5-Bya (get_tile \"L5-By\"))"
          "(setq L5-Datea (get_tile \"L5-Date\"))"
          "(setq L5-Descriptiona (get_tile \"L5-Description\"))"
          "(setq L6-Reva (get_tile \"L6-Rev\"))"
          "(setq L6-Bya (get_tile \"L6-By\"))"
          "(setq L6-Datea (get_tile \"L6-Date\"))"
          "(setq L6-Descriptiona (get_tile \"L6-Description\"))"
          "(setq L7-Reva (get_tile \"L7-Rev\"))"
          "(setq L7-Bya (get_tile \"L7-By\"))"
          "(setq L7-Datea (get_tile \"L7-Date\"))"
          "(setq L7-Descriptiona (get_tile \"L7-Description\"))"
          "(setq L8-Reva (get_tile \"L8-Rev\"))"
          "(setq L8-Bya (get_tile \"L8-By\"))"
          "(setq L8-Datea (get_tile \"L8-Date\"))"
          "(setq L8-Descriptiona (get_tile \"L8-Description\"))"
          "(setq L9-Reva (get_tile \"L9-Rev\"))"
          "(setq L9-Bya (get_tile \"L9-By\"))"
          "(setq L9-Datea (get_tile \"L9-Date\"))"
          "(setq L9-Descriptiona (get_tile \"L9-Description\"))"
    
         " (done_dialog)(setq userclick T))"
        )
      )
    
      (start_dialog)
    
      (unload_dialog dcl_id)
    
      (if userclick
    
    	(progn
    	  (setq edata (entget en))
    	;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L1-Reva) (assoc 1 edata) edata))
    	  (entmod el)
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L1-Bya) (assoc 1 edata) edata))
    	  (entmod el)
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L1-Datea) (assoc 1 edata) edata))
    	  (entmod el)
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L1-Descriptiona) (assoc 1 edata) edata))
    	  (entmod el)
    	;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L2-Reva) (assoc 1 edata) edata))
    	  (entmod el)
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L2-Bya) (assoc 1 edata) edata))
    	  (entmod el)
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L2-Datea) (assoc 1 edata) edata))
    	  (entmod el)
    
     	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L2-Descriptiona) (assoc 1 edata) edata))
    	  (entmod el)
    	;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L3-Reva) (assoc 1 edata) edata))
    	  (entmod el)
    
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L3-Bya) (assoc 1 edata) edata))
    	  (entmod el)
    
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L3-Datea) (assoc 1 edata) edata))
                    (entmod el)
    
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L3-Descriptiona) (assoc 1 edata) edata))
    	  (entmod el)
    	;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L4-Reva) (assoc 1 edata) edata))
    	  (entmod el)
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L4-Bya) (assoc 1 edata) edata))
    	  (entmod el)
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L4-Datea) (assoc 1 edata) edata))
    	  (entmod el)
    
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L4-Descriptiona) (assoc 1 edata) edata))
    	  (entmod el)
    	;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L5-Reva) (assoc 1 edata) edata))
    	  (entmod el)
    
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L5-Bya) (assoc 1 edata) edata))
    	  (entmod el)
    
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L5-Datea) (assoc 1 edata) edata))
    	  (entmod el)
    
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L5-Descriptiona) (assoc 1 edata) edata))
    	  (entmod el)
    	;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L6-Reva) (assoc 1 edata) edata))
    	  (entmod el)
    
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L6-Bya) (assoc 1 edata) edata))
    	  (entmod el)
    
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L6-Datea) (assoc 1 edata) edata))
    	  (entmod el)
    
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L6-Descriptiona) (assoc 1 edata) edata))
                    (entmod el)
    	;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L7-Reva) (assoc 1 edata) edata))
    	  (entmod el)
    
     
                    (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L7-Bya) (assoc 1 edata) edata))
                    (entmod el)
    
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L7-Datea) (assoc 1 edata) edata))
    	  (entmod el)
    
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L7-Descriptiona) (assoc 1 edata) edata))
    	  (entmod el)
    	;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L8-Reva) (assoc 1 edata) edata))
    	  (entmod el)
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L8-Bya) (assoc 1 edata) edata))
    	  (entmod el)
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L8-Datea) (assoc 1 edata) edata))
    	  (entmod el)
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L8-Descriptiona) (assoc 1 edata) edata))
    	  (entmod el)
    	;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L9-Reva) (assoc 1 edata) edata))
    	  (entmod el)
    
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L9-Bya) (assoc 1 edata) edata))
    	  (entmod el)
    
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L9-Datea) (assoc 1 edata) edata))
       	  (entmod el)
    
    
    	  (setq edata (entget (entnext (dxf -1 edata))))
    	  (setq el (subst (cons 1 L9-Descriptiona) (assoc 1 edata) edata))
    	  (entmod el)
    	;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    
    	  ;regen the drawing
              (command "REGEN")
    
    	);progn
    
       );if
    
    (princ)
    
    );defun
    
    ;;;***********************************************************
    	
    (defun dxf (code elist)
    
      (cdr (assoc code elist))
    
    );defun
    ;;;**********************************************************
    
    ;load clean
    (princ)
    
    ;;;**********************************************************
    ;
    ;CODING ENDS HERE
    I would appreciate help with this. Thanks.

  5. #5
    Super Member Lt Dan's legs's Avatar
    Using
    AutoCAD 2007
    Join Date
    May 2010
    Location
    Florida
    Posts
    574

    Default

    Add another button next to ok_cancel in the attab dialog Example:
    : row { ok_cancel; : button { key= "next"; label = "next"; fixed_width = true; }}
    Copy the attab dialog, and call it attab2. This can be saved in the same file.
    "L9-Date" becomes "L19-DATE" and etc.

    In lisp, when you click on next
    (action_tile "next" "(done_dialog 4)")

    make sure add this when ending the lisp dialog

    (setq flag (start_dialog))
    (unload_dialog dcl_id)
    (cond
    ( (eq flag 4)
    ...
    now copy the previous section where you load the dialog and all its settings. Make sure you load attab2.

    **Remember you've changed the keys so you'll have to revise the copied portion to reflect.

  6. #6
    Super Member
    Computer Details
    woodman78's Computer Details
    Operating System:
    Win XP
    Computer:
    Dell GX280
    Discipline
    Transport
    woodman78's Discipline Details
    Occupation
    Road Design Engineer
    Discipline
    Transport
    Details
    I work in a local authority design office with a staff of 13. We carry out road schemes ranging from overlays up to 2 km long new schemes.
    Using
    Civil 3D 2011
    Join Date
    Jul 2009
    Location
    Ireland
    Posts
    689

    Default

    What does that do for me? Does that not just add more lines? I am certain I have enough in 9.

  7. #7
    Super Member Lt Dan's legs's Avatar
    Using
    AutoCAD 2007
    Join Date
    May 2010
    Location
    Florida
    Posts
    574

    Default

    Forgive me, I thought you wanted more lines for input... The, sun was in my eyes


    I just didn't read your post
    Last edited by Lt Dan's legs; 25th Apr 2012 at 05:54 pm. Reason: The truth

  8. #8
    Super Member
    Computer Details
    woodman78's Computer Details
    Operating System:
    Win XP
    Computer:
    Dell GX280
    Discipline
    Transport
    woodman78's Discipline Details
    Occupation
    Road Design Engineer
    Discipline
    Transport
    Details
    I work in a local authority design office with a staff of 13. We carry out road schemes ranging from overlays up to 2 km long new schemes.
    Using
    Civil 3D 2011
    Join Date
    Jul 2009
    Location
    Ireland
    Posts
    689

    Default

    Can anyone help even with the part about the block name not being picked up correctly?
    Thanks.

  9. #9
    Forum Deity pBe's Avatar
    Computer Details
    pBe's Computer Details
    Operating System:
    Windows XP
    Discipline
    Construction
    pBe's Discipline Details
    Discipline
    Construction
    Details
    Camp Construction planning and details
    Using
    AutoCAD 2009
    Join Date
    Apr 2010
    Posts
    2,642

    Default

    Cant open your file woodman78. I'm getting "drawing file is not valid".

  10. #10
    Super Member
    Computer Details
    woodman78's Computer Details
    Operating System:
    Win XP
    Computer:
    Dell GX280
    Discipline
    Transport
    woodman78's Discipline Details
    Occupation
    Road Design Engineer
    Discipline
    Transport
    Details
    I work in a local authority design office with a staff of 13. We carry out road schemes ranging from overlays up to 2 km long new schemes.
    Using
    Civil 3D 2011
    Join Date
    Jul 2009
    Location
    Ireland
    Posts
    689

    Default

    Registered forum members do not see this ad.

    rev-box.dwg
    rev-box 01.dwg

    Try these.

    Quote Originally Posted by pBe View Post
    Cant open your file woodman78. I'm getting "drawing file is not valid".

Similar Threads

  1. Revision Clouds
    By Diesel in forum AutoCAD Beginners' Area
    Replies: 6
    Last Post: 22nd Mar 2012, 04:06 pm
  2. xml path revision
    By sandiegophil in forum Civil 3D & LDD
    Replies: 1
    Last Post: 21st Apr 2011, 02:00 pm
  3. Revision Cloud
    By sparkyuk in forum AutoCAD Beginners' Area
    Replies: 6
    Last Post: 23rd Oct 2008, 03:53 pm
  4. Specifying a sheet revision
    By SuperCAD in forum AutoCAD Drawing Management & Output
    Replies: 2
    Last Post: 18th Sep 2008, 08:54 am
  5. revision script
    By highburypete in forum AutoCAD Drawing Management & Output
    Replies: 0
    Last Post: 29th Sep 2004, 04:41 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts